*** FILE AUTOMATICALLY CREATED: DO NOT EDIT, CHANGES WILL BE LOST ***

------------------------------------------------------------------------
INPUT FILE DESCRIPTION

Program: turbo_lanczos.x / turboTDDFPT / Quantum ESPRESSO (version: 6.7GPU)
------------------------------------------------------------------------


    Input data format: { } = optional, [ ] = it depends.

All quantities whose dimensions are not explicitly specified are in
RYDBERG ATOMIC UNITS

BEWARE: TABS, DOS <CR><LF> CHARACTERS ARE POTENTIAL SOURCES OF TROUBLE

Comment lines in namelists can be introduced by a "!", exactly as in
fortran code. Comments lines in ``cards'' can be introduced by
either a "!" or a "#" character in the first position of a line.

Structure of the input data:
===============================================================================

&LR_INPUT
  ...
/

&LR_CONTROL
  ...
/

[ &LR_POST
  ...
 / ]



========================================================================
NAMELIST: &LR_INPUT

   THIS NAMELIST IS ALWAYS NEEDED !
   
   +--------------------------------------------------------------------
   Variable:       prefix
   
   Type:           CHARACTER
   Default:        'pwscf'
   Description:    Sets the prefix for generated and read files. The files
                   generated by the ground state pw.x run should have this
                   same prefix.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       outdir
   
   Type:           CHARACTER
   Default:        './'
   Description:    The directory that contains the run critical files, which
                   include the files generated by ground state pw.x run.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       wfcdir
   
   Type:           CHARACTER
   Default:        './'
   Description:    The directory that contains the run critical files, which
                   include the files generated by ground state pw.x run.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       restart
   
   Type:           LOGICAL
   Default:        .false.
   Description:    When set to .true., turbo_lanczos.x will attempt to restart
                   from a previous interrupted calculation. (see "restart_step"
                   variable).
                   
                   Beware, if set to .false. turbo_lanczos.x will OVERWRITE any
                   previous runs.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       restart_step
   
   Type:           INTEGER
   Default:        itermax
   Description:    The code writes restart files every restart_step iterations.
                   Restart files are automatically written at the end of
                   itermax Lanczos steps.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       lr_verbosity
   
   Type:           INTEGER
   Default:        1
   Description:    This integer variable controls the amount of information
                   written to standard output.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       disk_io
   
   Type:           CHARACTER
   Default:        'default'
   Description:    Fine control of disk usage. Currently only 'reduced' is
                   supported where no restart files are written, apart from
                   the 'default' mode.
   +--------------------------------------------------------------------
   
===END OF NAMELIST======================================================


========================================================================
NAMELIST: &LR_CONTROL

   +--------------------------------------------------------------------
   Variable:       itermax
   
   Type:           INTEGER
   Default:        500
   Description:    Number of Lanczos iterations to be performed.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       ipol
   
   Type:           INTEGER
   Default:        1
   Description:    An integer variable that determines which element of the
                   dynamical polarizability will be computed:
                   1 -> alpha_xx(omega), 2 -> alpha_yy(omega), and
                   3 -> alpha_zz(omega). When set to 4, three Lanczos chains
                   are sequentially performed and the full polarizability
                   tensor and the absorption coefficient are computed.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       n_ipol
   
   Type:           INTEGER
   Default:        1 if ipol < 4;
                   3 if ipol=4
   Description:    Determines the number of zeta coefficients to be calculated
                   for a given polarization direction.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       ltammd
   
   Type:           LOGICAL
   Default:        .false.
   Description:    When set to .true. the Tamm-Dancoff approximation is used
                   in constructing the Liouvillian.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       no_hxc
   
   Type:           LOGICAL
   Default:        .false.
   Description:    When set to .true. the change in the internal field
                   (Hartree and exchange-correlation) is ignored in the
                   calculation, resulting in the independent electron
                   approximation.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       lrpa
   
   Type:           LOGICAL
   Default:        .false.
   Description:    When set to .true. the Random Phase Approximation
                   is used (no exchange and correlation).
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       scissor
   
   Type:           REAL
   Default:        0.0
   Description:    Scissor shift (in Rydberg units).
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       charge_response
   
   Type:           INTEGER
   Default:        0
   Description:    When set to 1, the code computes the response of the charge
                   density and writes it into a file format determined by the
                   variable plot type. Setting charge response to 1 makes the
                   presence of the card lr post mandatory.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       pseudo_hermitian
   
   Type:           LOGICAL
   Default:        .true.
   Description:    When set to .true. the pseudo-Hermitian Lanczos
                   algorithm is used. When set to .false. the
                   non-Hermitian Lanczos biorthogonalization algorithm
                   is used (which is two times slower).
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       d0psi_rs
   
   Type:           LOGICAL
   Default:        .false.
   Description:    When set to .true. the dipole is computed in the
                   real space. When set to .false. the dipole is
                   computed in the reciprocal space by computing [H,r].
                   Note, currently the commutator does not contain
                   a contribution for hybrids [V_EXX,r]. See also
                   the variable lshift_d0psi.
                   Important: Treatment of the dipole in the real space
                   is allowed only if the system is finite.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       lshift_d0psi
   
   Type:           LOGICAL
   Default:        .true.
   Description:    This variable is used only when "d0psi_rs" = .true.
                   a) If a molecule is placed in the corner of the
                   supercell, there is a discontinuity problem for the
                   position operator r, which is not periodic. By setting
                   lshift_d0psi=.true. the discontinuity problem is
                   solved by shifting the position operator r such that
                   it is continuous and well defined.
                   b) If a molecule is placed in the center of the supercell,
                   there is no discontinuity problem for the position operator r,
                   and thus you can set lshift_d0psi=.false. But if you still
                   set it to .true., this will not harm, because the position
                   operator will basically remain as it is, since it is always
                   centered wrt the center of the molecule.
   +--------------------------------------------------------------------
   
===END OF NAMELIST======================================================


========================================================================
NAMELIST: &LR_POST

   +--------------------------------------------------------------------
   Variable:       omeg
   
   Type:           REAL
   Default:        0.0
   Description:    The response of the charge density is calculated for this
                   transition energy (in Rydberg units)
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       epsil
   
   Type:           REAL
   Default:        0.02
   Description:    The broadening/damping term (in Rydberg units).
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       beta_gamma_z_prefix
   
   Type:           CHARACTER
   Default:        'pwscf'
   Description:    The prefix of the file where the beta gamma zeta coefficients
                   from the first calculation can be set manually using this
                   parameter. The file outdir/beta gamma z prefix.beta gamma z.x
                   (where x=1-3) must exist.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       w_T_npol
   
   Type:           INTEGER
   Default:        1
   Description:    Number of polarization directions considered in the previous
                   calculation. It must be set to 3 if in the previous calculation
                    ipol=4, it must be set to 1 otherwise.
   +--------------------------------------------------------------------
   
   +--------------------------------------------------------------------
   Variable:       plot_type
   
   Type:           INTEGER
   Default:        1
   Description:    An integer variable that determines the format of the file
                   containing the charge density response. 1: A file containing
                   the x y z grid coordinates and the corre- sponding value of
                   the density is produced 2: The density response is written
                   in Xcrysden format 3: The density response is written in
                   the gaussian cube format.
   +--------------------------------------------------------------------
   
===END OF NAMELIST======================================================


This file has been created by helpdoc utility on Fri Apr 23 19:45:01 CEST 2021
